"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Response2 = _interopRequireDefault(require("../Response"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var Item = /*#__PURE__*/function (_Response) {
  _inherits(Item, _Response);

  var _super = _createSuper(Item);

  function Item() {
    var _this;

    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        xml = _ref.xml,
        CAMLViewFields = _ref.CAMLViewFields,
        allowNullValues = _ref.allowNullValues,
        _ref$viewColumns = _ref.viewColumns,
        viewColumns = _ref$viewColumns === void 0 ? null : _ref$viewColumns;

    _classCallCheck(this, Item);

    _this = _super.call(this, {
      xml: xml,
      CAMLViewFields: CAMLViewFields,
      allowNullValues: allowNullValues,
      keyDelimiter: "ows_",
      viewColumns: viewColumns
    });

    if (typeof _this.FileDirRef !== "undefined") {
      var path = _this.FileDirRef.split("/");

      _this.ListName = path[path.length - 1];
      _this.ListUrl = "/".concat(_this.FileDirRef.split("#")[1]);
      _this.DispFormUrl = "".concat(_this.ListUrl, "/DispForm.aspx?ID=").concat(_this.ID);
      _this.EditFormUrl = "".concat(_this.ListUrl, "/EditForm.aspx?ID=").concat(_this.ID);
      _this.NewFormUrl = "".concat(_this.ListUrl, "/NewForm.aspx");
    }

    if (typeof _this.Editor !== "undefined") _this.ModifiedBy = _this.Editor.split("#")[1];
    if (typeof _this.Author !== "undefined") _this.CreatedBy = _this.Author.split("#")[1];
    return _this;
  }

  return Item;
}(_Response2["default"]);

var _default = Item;
exports["default"] = _default;