const getErrorFromXml = xData => {
  return {
    message: $(xData.responseXML)
      .SPFilterNode("ErrorText")
      .eq(0)
      .text(),
    code: $(xData.responseXML)
      .SPFilterNode("ErrorCode")
      .eq(0)
      .text(),
    status: xData.status
  };
};

const getErrorFromXData = xData => {
  return {
    message: xData.statusText,
    code: null,
    status: xData.status
  };
};

const updateListItemsError = xData => {
  let error = {};
  if (xData.responseXML) {
    error = getErrorFromXml(xData);
  } else {
    error = getErrorFromXData(xData);
  }
  return error;
};

export default updateListItemsError;
