"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "addGroup", {
  enumerable: true,
  get: function get() {
    return _addGroup["default"];
  }
});
Object.defineProperty(exports, "getAllUserCollectionFromWeb", {
  enumerable: true,
  get: function get() {
    return _getAllUserCollectionFromWeb["default"];
  }
});
Object.defineProperty(exports, "getGroupCollectionFromSite", {
  enumerable: true,
  get: function get() {
    return _getGroupCollectionFromSite["default"];
  }
});
Object.defineProperty(exports, "getGroupCollectionFromUser", {
  enumerable: true,
  get: function get() {
    return _getGroupCollectionFromUser["default"];
  }
});
Object.defineProperty(exports, "getUserCollectionFromSite", {
  enumerable: true,
  get: function get() {
    return _getUserCollectionFromSite["default"];
  }
});
Object.defineProperty(exports, "getUserInfo", {
  enumerable: true,
  get: function get() {
    return _getUserInfo["default"];
  }
});
Object.defineProperty(exports, "addUserToGroup", {
  enumerable: true,
  get: function get() {
    return _addUserToGroup["default"];
  }
});
Object.defineProperty(exports, "removeUserFromGroup", {
  enumerable: true,
  get: function get() {
    return _removeUserFromGroup["default"];
  }
});
exports["default"] = void 0;

var _addGroup = _interopRequireDefault(require("./addGroup"));

var _getAllUserCollectionFromWeb = _interopRequireDefault(require("./getAllUserCollectionFromWeb"));

var _getGroupCollectionFromSite = _interopRequireDefault(require("./getGroupCollectionFromSite"));

var _getGroupCollectionFromUser = _interopRequireDefault(require("./getGroupCollectionFromUser"));

var _getUserCollectionFromSite = _interopRequireDefault(require("./getUserCollectionFromSite"));

var _getUserInfo = _interopRequireDefault(require("./getUserInfo"));

var _addUserToGroup = _interopRequireDefault(require("./addUserToGroup"));

var _removeUserFromGroup = _interopRequireDefault(require("./removeUserFromGroup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var userGroup = {
  addGroup: _addGroup["default"],
  addUserToGroup: _addUserToGroup["default"],
  getAllUserCollectionFromWeb: _getAllUserCollectionFromWeb["default"],
  getGroupCollectionFromSite: _getGroupCollectionFromSite["default"],
  getGroupCollectionFromUser: _getGroupCollectionFromUser["default"],
  getUserCollectionFromSite: _getUserCollectionFromSite["default"],
  getUserInfo: _getUserInfo["default"],
  removeUserFromGroup: _removeUserFromGroup["default"]
};
var _default = userGroup;
exports["default"] = _default;