"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "getListsError", {
  enumerable: true,
  get: function get() {
    return _getListsError["default"];
  }
});
Object.defineProperty(exports, "getUserGroupError", {
  enumerable: true,
  get: function get() {
    return _getUserGroupError["default"];
  }
});
Object.defineProperty(exports, "getViewError", {
  enumerable: true,
  get: function get() {
    return _getViewError["default"];
  }
});
Object.defineProperty(exports, "getWebPartPagesError", {
  enumerable: true,
  get: function get() {
    return _getWebPartPagesError["default"];
  }
});
exports["default"] = void 0;

var _getError = _interopRequireDefault(require("./getError"));

var _getListsError = _interopRequireDefault(require("./getListsError"));

var _getUserGroupError = _interopRequireDefault(require("./getUserGroupError"));

var _getViewError = _interopRequireDefault(require("./getViewError"));

var _getWebPartPagesError = _interopRequireDefault(require("./getWebPartPagesError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var errors = {
  getError: _getError["default"],
  getListsError: _getListsError["default"],
  getUserGroupError: _getUserGroupError["default"],
  getViewError: _getViewError["default"],
  getWebPartPagesError: _getWebPartPagesError["default"]
};
var _default = errors;
exports["default"] = _default;