"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var getErrorFromXml = function getErrorFromXml(xData) {
  return {
    message: $(xData.responseXML).SPFilterNode("ErrorText").eq(0).text(),
    code: $(xData.responseXML).SPFilterNode("ErrorCode").eq(0).text(),
    status: xData.status
  };
};

var getErrorFromXData = function getErrorFromXData(xData) {
  return {
    message: xData.statusText,
    code: null,
    status: xData.status
  };
};

var updateListItemsError = function updateListItemsError(xData) {
  var error = {};

  if (xData.responseXML) {
    error = getErrorFromXml(xData);
  } else {
    error = getErrorFromXData(xData);
  }

  return error;
};

var _default = updateListItemsError;
exports["default"] = _default;