"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "getListOptions", {
  enumerable: true,
  get: function get() {
    return _getListsOptions["default"];
  }
});
Object.defineProperty(exports, "getUserGroupOptions", {
  enumerable: true,
  get: function get() {
    return _getUserGroupOptions["default"];
  }
});
Object.defineProperty(exports, "getWebPartPageOptions", {
  enumerable: true,
  get: function get() {
    return _getWebPartPagesOptions["default"];
  }
});
Object.defineProperty(exports, "getViewOptions", {
  enumerable: true,
  get: function get() {
    return _getViewOptions["default"];
  }
});
exports["default"] = void 0;

var _getListsOptions = _interopRequireDefault(require("./getListsOptions"));

var _getUserGroupOptions = _interopRequireDefault(require("./getUserGroupOptions"));

var _getWebPartPagesOptions = _interopRequireDefault(require("./getWebPartPagesOptions"));

var _getViewOptions = _interopRequireDefault(require("./getViewOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var options = {
  getListOptions: _getListsOptions["default"],
  getUserGroupOptions: _getUserGroupOptions["default"],
  getWebPartPageOptions: _getWebPartPagesOptions["default"],
  getViewOptions: _getViewOptions["default"]
};
var _default = options;
exports["default"] = _default;